Bug 190113 - Missing build dependancy for zlib-devel in cyrus-sasl
Missing build dependancy for zlib-devel in cyrus-sasl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 13:54 EDT by Mike Gahagan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0795
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 10:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2006-04-27 13:54:35 EDT
Description of problem:

Cyrus-sasl needs zlib-devel to build properly. 

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.19-5.EL4

How reproducible:

always, at least on ppc

Steps to Reproduce:
1. Try to rebuild cyrus-sasl without zlib-devel approrpriate for the arch. being
installed.
2. build fails
3.
  
Actual results:

build fails with:

/usr/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
error: Bad exit status from /var/tmp/rpm-tmp.11885 (%build)


Expected results:

rpm complains early in the build process about missing zlib-devel build requirement.

Additional info:

I found this on ppc while trying to rebuild cyrus-sasl.ppc.rpm in the course of
chasing another multilib build problem. It most likely occurs on all other
archetectures as well.
Comment 11 Red Hat Bugzilla 2007-09-04 10:49:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0795.html

Note You need to log in before you can comment on or make changes to this bug.